Redeem Principal
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": true
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/redeem"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
pushYield: true
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Principal redeemed successfully",
"data": {
"txHash": "0x581941f1a8de6b04f8d8debc82fcd8a0239ef14dda221bb52e6450442d7880de"
}
}Tokenization
Redeem Principal
Redeems principal to holders at maturity. Set pushYield to push funds to investors rather than letting them claim.
POST
/
v1
/
tokens
/
yield
/
redeem
Redeem Principal
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": true
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/redeem"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
pushYield: true
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Principal redeemed successfully",
"data": {
"txHash": "0x581941f1a8de6b04f8d8debc82fcd8a0239ef14dda221bb52e6450442d7880de"
}
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
